Summary:	OpenCA Logging
Name: 		perl-OpenCA-Log
Version: 	0.9.13.2.1
Release:	%mkrel 1
License:	LGPL
Group: 		Development/Perl
URL:		http://www.openca.org
Source:		OpenCA-Log-%{version}.tar.bz2
#Requires:	perl-OpenCA-XML-Cache
BuildRequires:	perl-devel
BuildArch:	noarch
Epoch:		0
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module handle the complete logging of OpenCA.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-Log-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%dir %{perl_vendorlib}/OpenCA/Log
%dir %{perl_vendorlib}/OpenCA/Logger
%dir %{perl_vendorlib}/OpenCA/Logger/Syslog
%{perl_vendorlib}/OpenCA/*.pm
%{perl_vendorlib}/OpenCA/*.pod
%{perl_vendorlib}/OpenCA/Log/Message.pm
%{perl_vendorlib}/OpenCA/Logger/*.pm
%{perl_vendorlib}/OpenCA/Logger/Syslog/*.pm
%{_mandir}/*/*

%changelog
* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0:0.9.13.2.1-1mdk
- 0.9.13.2.1 (taken from the OpenCA-0.9.2.5 tar ball)
- don't ship the MANIFEST file

* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.14-2mdk
- rebuild

* Sat Oct 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.14-1mdk
- 0.9.14

* Wed Sep 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.13-1mdk
- 0.9.13

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.12-2mdk
- new tarball, same version

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.12-1mdk
- 0.9.12

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.11-2mdk
- built for cooker

* Thu Jun 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.11-1mdk
- 0.9.11

* Sat May 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.10-2mdk
- CVS fixes (new tarball)

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.8-1mdk
- initial package
